Package org.apache.tomcat.util.net.openssl.ciphers

# Enum Authentication

java.lang.Object
java.lang.Enum<Authentication>
org.apache.tomcat.util.net.openssl.ciphers.Authentication

All Implemented Interfaces:
  `Serializable`, `Comparable<Authentication>`, `java.lang.constant.Constable`

public enum Authentication extends Enum<Authentication>

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`aNULL`
`ANY`
`DH`
`DSS`
`ECDH`
`ECDSA`
`FZA`
`GOST01`
`GOST94`
`KRB5`
`PSK`
`RSA`
`SRP`

## Method Summary

Modifier and Type
Method
Description
`static Authentication`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Authentication[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RSA

public static final Authentication RSA

### DSS

public static final Authentication DSS

### aNULL

public static final Authentication aNULL

### DH

public static final Authentication DH

### ECDH

public static final Authentication ECDH

### KRB5

public static final Authentication KRB5

### ECDSA

public static final Authentication ECDSA

### PSK

public static final Authentication PSK

### GOST94

public static final Authentication GOST94

### GOST01

public static final Authentication GOST01

### FZA

public static final Authentication FZA

### SRP

public static final Authentication SRP

### ANY

public static final Authentication ANY

## Method Details

### values

public static Authentication[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Authentication valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null